Bug 1243365 - No way to specify deployment timeout
Summary: No way to specify deployment timeout
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-rdomanager-oscplugin
Version: Director
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ga
: Director
Assignee: Dougal Matthews
QA Contact: Alexander Chuzhoy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-15 10:07 UTC by Steven Hardy
Modified: 2015-08-27 05:50 UTC (History)
8 users (show)

Fixed In Version: python-rdomanager-oscplugin-0.0.8-41.el7ost
Doc Type: Bug Fix
Doc Text:
A timeout could not be set, which meant deployments always timeout after one hour. This fix adds a timeout argument that allows users to set a custom timeout. It defaults to four hours.
Clone Of:
Environment:
Last Closed: 2015-08-05 13:59:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gerrithub.io 239943 None None None Never
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Description Steven Hardy 2015-07-15 10:07:02 UTC
Description of problem:
When deploying via the ucli, there's no way to specify the stack timeout, so the default value (1 hour, configurable via stack_action_timeout in heat.conf) is always used.

This is likely to be too low for large deployments, and it's less than the undercloud token expiry (set to 4 hours by default), so we should make it configurable via the CLI.

The heatclient convention for this is -t/--timeout

So we need something like:

openstack overcloud deploy --timeout 240

Which would result in a 4 hour timout (heatclient and the heat API expects the timeout in minutes)

The API call stack_args need to have timeout_mins added to them with this value.

Comment 3 Dougal Matthews 2015-07-15 10:19:41 UTC
Patch midstream https://review.gerrithub.io/#/c/239943/

Comment 6 Steven Hardy 2015-07-15 13:16:04 UTC
To clarify the workaround, if this isn't configurable via the CLI, you can set the global timeout in the heat config to a higher value:

- Edit /etc/heat/heat.conf on the undercloud to specify stack_action_timeout = 14400 (4 hours in seconds, matches the undercloud keystone token expiration)
- Restart the openstack-heat-engine process

This will give a global 4 hour timeout when not specifying any timeout via the CLI/API.

Comment 7 Hugh Brock 2015-07-17 09:53:25 UTC
I'm moving this back to GA since we have two other fixes we have to merge today anyway. It's been breaking a lot of our QE test deployments, I believe.

Comment 10 Alexander Chuzhoy 2015-07-21 15:12:01 UTC
Verified:
Environment:
instack-undercloud-2.1.2-21.el7ost.noarch


the timeout is specified in CLI with: -t <min>

tested with seeting it to 1 minute - the deployment exited after 1 minute.

Comment 12 errata-xmlrpc 2015-08-05 13:59:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.